List owners by contract address
curl --request GET \
--url https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/ownersimport requests
url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/owners"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/collections/{contract_address}/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"chain": {
"id": "eip155:13372",
"name": "imtbl-zkevm-testnet"
},
"contract_address": "0x5a019874f4fae314b0eaa4606be746366e661306",
"token_id": "1",
"account_address": "0x5a019874f4fae314b0eaa4606be746366e661306",
"balance": "1",
"updated_at": "2022-08-16T17:43:26.991388Z"
}
],
"page": {
"previous_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=",
"next_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="
}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}nft owners
List owners by contract address
List owners by contract address
GET
/
v1
/
chains
/
{chain_name}
/
collections
/
{contract_address}
/
owners
List owners by contract address
Path Parameters
The address of contract
The name of chain
Example:
"imtbl-zkevm-testnet"
Query Parameters
List of account addresses to filter by
Maximum array length:
30Datetime to use as the oldest updated timestamp
Example:
"2022-08-16T17:43:26.991388Z"
Encoded page cursor to retrieve previous or next page. Use the value returned in the response.
Example:
"ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="
Maximum number of items to return
Required range:
1 <= x <= 200Example:
10
Was this page helpful?
⌘I